activation-key - remove references to label field as it is not valid anymore
Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category: Subscriptions   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1109907 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

activation-key - remove references to label field as it is not valid anymore

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.17-1.el6sat.noarch

foreman-compute-1.6.0.17-1.el6sat.noarch

foreman-gce-1.6.0.17-1.el6sat.noarch

foreman-libvirt-1.6.0.17-1.el6sat.noarch

foreman-ovirt-1.6.0.17-1.el6sat.noarch

foreman-postgresql-1.6.0.17-1.el6sat.noarch

foreman-proxy-1.6.0.7-1.el6sat.noarch

foreman-selinux-1.6.0-4.el6sat.noarch

foreman-vmware-1.6.0.17-1.el6sat.noarch

katello-1.5.0-26.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.48-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-selinux-2.4.0-0.20.beta.el6sat.noarch

pulp-server-2.4.0-0.20.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:

Always

Steps to Reproduce:

There may be more, but these are the ones which I encountered:
1. hammer activation-key create --content-view='cv1' --organization-id='1'

Could not create the activation key:

Validation failed: Label can't be blank, Label can't be blank, Name cannot be blank, Name can't be blank

1. hammer activation-key create --content-view='cv1' --organization-id='1' --name='ak1234' --description='ak1234'

--environment-id=1

Could not create the activation key:

Validation failed: Label has already been taken, Name has already been taken

Actual results:

Label is still referred in error messages

Expected results:

Label is not exposed to user anymore so should not be part of any error messages

Additional info:

Associated revisions

Revision c61c7c7b - 06/25/2014 06:20 PM - Christine Fouant

fixes #6336, #6255 - Fixes issue with not being able to use same name for an activation key across multiple orgs, BZ 1105024, BZ 1109907, BZ

1105024

History

#1 - 06/25/2014 07:52 PM - Christine Fouant

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c61c7c7b262b1563407477a068ce2d963fb11db2.

#2 - 07/07/2014 07:32 AM - Eric Helms

- Target version set to 48

#3 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
